commit: ab7dc410c73d8667c088199af501c1f43b2cd6d1
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Jan 20 09:37:53 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Jan 20 09:37:53 2021 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=ab7dc410
sci-biology/nitime: bump python compat
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
sci-biology/nitime/nitime-0.6.ebuild | 39 ----------------------
.../{nitime-0.8.1.ebuild => nitime-0.9.ebuild} | 17 +++++-----
sci-biology/nitime/nitime-9999.ebuild | 19 ++++++-----
3 files changed, 20 insertions(+), 55 deletions(-)
diff --git a/sci-biology/nitime/nitime-0.6.ebuild
b/sci-biology/nitime/nitime-0.6.ebuild
deleted file mode 100644
index 7a1d69189..000000000
--- a/sci-biology/nitime/nitime-0.6.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7} )
-
-inherit distutils-r1
-
-DESCRIPTION="Time-series analysis of neuroscience data"
-HOMEPAGE="http://nipy.org/nitime/index.html"
-SRC_URI="https://github.com/nipy/nitime/archive/rel/${PV}.tar.gz ->
${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-COMMON_DEPEND="
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/matplotlib[${PYTHON_USEDEP}]
- dev-python/scipy[${PYTHON_USEDEP}]
- "
-DEPEND="
- test? ( dev-python/nose[${PYTHON_USEDEP}] )
- dev-python/setuptools[${PYTHON_USEDEP}]
- "
-RDEPEND="
- ${COMMON_DEPEND}
- dev-python/networkx[${PYTHON_USEDEP}]
- sci-libs/nibabel[${PYTHON_USEDEP}]
- "
-
-S="${WORKDIR}/${PN}-rel-${PV}"
-
-python_test() {
- nosetests -v || die
-}
diff --git a/sci-biology/nitime/nitime-0.8.1.ebuild
b/sci-biology/nitime/nitime-0.9.ebuild
similarity index 67%
rename from sci-biology/nitime/nitime-0.8.1.ebuild
rename to sci-biology/nitime/nitime-0.9.ebuild
index 998a7c0a7..90cb4ff6a 100644
--- a/sci-biology/nitime/nitime-0.8.1.ebuild
+++ b/sci-biology/nitime/nitime-0.9.ebuild
@@ -1,29 +1,29 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{7,8,9} )
inherit distutils-r1 virtualx
DESCRIPTION="Time-series analysis of neuroscience data"
HOMEPAGE="http://nipy.org/nitime/index.html"
-SRC_URI="https://github.com/nipy/nitime/archive/rel/${PV}.tar.gz ->
${P}.tar.gz"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
+
+# import file mismatch:
+RESTRICT="test"
COMMON_DEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/scipy[${PYTHON_USEDEP}]
"
-DEPEND="
- test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+BDEPEND="${COMMON_DEPEND}
dev-python/cython[${PYTHON_USEDEP}]
"
RDEPEND="
@@ -32,7 +32,8 @@ RDEPEND="
sci-libs/nibabel[${PYTHON_USEDEP}]
"
-S="${WORKDIR}/${PN}-rel-${PV}"
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
python_test() {
virtx pytest -v || die
diff --git a/sci-biology/nitime/nitime-9999.ebuild
b/sci-biology/nitime/nitime-9999.ebuild
index 10eedd748..d90744bd5 100644
--- a/sci-biology/nitime/nitime-9999.ebuild
+++ b/sci-biology/nitime/nitime-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{7,8,9} )
inherit distutils-r1 git-r3
@@ -15,17 +15,17 @@ EGIT_REPO_URI="https://github.com/nipy/nitime"
LICENSE="BSD"
SLOT="0"
KEYWORDS=""
-IUSE="test"
-RESTRICT="!test? ( test )"
+
+# import file mismatch:
+RESTRICT="test"
COMMON_DEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/scipy[${PYTHON_USEDEP}]
"
-DEPEND="
- test? ( dev-python/nose[${PYTHON_USEDEP}] )
- dev-python/setuptools[${PYTHON_USEDEP}]
+BDEPEND="${COMMON_DEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]
"
RDEPEND="
${COMMON_DEPEND}
@@ -33,6 +33,9 @@ RDEPEND="
sci-libs/nibabel[${PYTHON_USEDEP}]
"
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
python_test() {
- nosetests -v || die
+ virtx pytest -v || die
}